<div class="box-body">

<div class="padd-lr10">
<div class="box boxStyle2 infoBox margin-b15">
<div class="padd10t">

<table id="tableN" class="col-md-12">
<tr class='tabTop'>
<td colspan="2">

<?PHP 
define("DATA_FILE", $targetedX);
extract($_POST);
$urllink01=($_POST['urllink01']);
$urlinfo01=($_POST['urlinfo01']);
$urltitle01=($_POST['urltitle01']);
$urllink02=($_POST['urllink02']);
$urlinfo02=($_POST['urlinfo02']);
$urltitle02=($_POST['urltitle02']);
$urllink03=($_POST['urllink03']);
$urlinfo03=($_POST['urlinfo03']);
$urltitle03=($_POST['urltitle03']);
$urllink04=($_POST['urllink04']);
$urlinfo04=($_POST['urlinfo04']);
$urltitle04=($_POST['urltitle04']);
$urllink05=($_POST['urllink05']);
$urlinfo05=($_POST['urlinfo05']);
$urltitle05=($_POST['urltitle05']);

if (isset($_POST['save'])) {
if (strlen(@$_POST[urllink01])<=0){@$_POST[urllink01]="";}
if (strlen(@$_POST[urlinfo01])<=0){@$_POST[urlinfo01]="";}
if (strlen(@$_POST[urltitle01])<=0){@$_POST[urltitle01]="";}
if (strlen(@$_POST[urllink02])<=0){@$_POST[urllink02]="";}
if (strlen(@$_POST[urlinfo02])<=0){@$_POST[urlinfo02]="";}
if (strlen(@$_POST[urltitle02])<=0){@$_POST[urltitle02]="";}
if (strlen(@$_POST[urllink03])<=0){@$_POST[urllink03]="";}
if (strlen(@$_POST[urlinfo03])<=0){@$_POST[urlinfo03]="";}
if (strlen(@$_POST[urltitle03])<=0){@$_POST[urltitle03]="";}
if (strlen(@$_POST[urllink04])<=0){@$_POST[urllink04]="";}
if (strlen(@$_POST[urlinfo04])<=0){@$_POST[urlinfo04]="";}
if (strlen(@$_POST[urltitle04])<=0){@$_POST[urltitle04]="";}
if (strlen(@$_POST[urllink05])<=0){@$_POST[urllink05]="";}
if (strlen(@$_POST[urlinfo05])<=0){@$_POST[urlinfo05]="";}
if (strlen(@$_POST[urltitle05])<=0){@$_POST[urltitle05]="";}
$Message=SaveData();}
else{
@die ("
<span class='resF'>".$resultFalse."</span>
<br>
<br>
<a href='$elink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
");
return ($tag);
}

function SaveData(){
$tag='';
$patterns=array();
$replacements=array();
$content=file(DATA_FILE);
$t=chr(34);

$patterns[0]='/urllink01=(.+?);/';
$patterns[1]='/urlinfo01=(.+?);/';
$patterns[2]='/urltitle01=(.+?);/';
$patterns[3]='/urllink02=(.+?);/';
$patterns[4]='/urlinfo02=(.+?);/';
$patterns[5]='/urltitle02=(.+?);/';
$patterns[6]='/urllink03=(.+?);/';
$patterns[7]='/urlinfo03=(.+?);/';
$patterns[8]='/urltitle03=(.+?);/';
$patterns[9]='/urllink04=(.+?);/';
$patterns[10]='/urlinfo04=(.+?);/';
$patterns[11]='/urltitle04=(.+?);/';
$patterns[12]='/urllink05=(.+?);/';
$patterns[13]='/urlinfo05=(.+?);/';
$patterns[14]='/urltitle05=(.+?);/';

@$replacements[0]=sprintf("urllink01=%s%s%s;",$t,$_POST[urllink01],$t);
@$replacements[1]=sprintf("urlinfo01=%s%s%s;",$t,$_POST[urlinfo01],$t);
@$replacements[2]=sprintf("urltitle01=%s%s%s;",$t,$_POST[urltitle01],$t);
@$replacements[3]=sprintf("urllink02=%s%s%s;",$t,$_POST[urllink02],$t);
@$replacements[4]=sprintf("urlinfo02=%s%s%s;",$t,$_POST[urlinfo02],$t);
@$replacements[5]=sprintf("urltitle02=%s%s%s;",$t,$_POST[urltitle02],$t);
@$replacements[6]=sprintf("urllink03=%s%s%s;",$t,$_POST[urllink03],$t);
@$replacements[7]=sprintf("urlinfo03=%s%s%s;",$t,$_POST[urlinfo03],$t);
@$replacements[8]=sprintf("urltitle03=%s%s%s;",$t,$_POST[urltitle03],$t);
@$replacements[9]=sprintf("urllink04=%s%s%s;",$t,$_POST[urllink04],$t);
@$replacements[10]=sprintf("urlinfo04=%s%s%s;",$t,$_POST[urlinfo04],$t);
@$replacements[11]=sprintf("urltitle04=%s%s%s;",$t,$_POST[urltitle04],$t);
@$replacements[12]=sprintf("urllink05=%s%s%s;",$t,$_POST[urllink05],$t);
@$replacements[13]=sprintf("urlinfo05=%s%s%s;",$t,$_POST[urlinfo05],$t);
@$replacements[14]=sprintf("urltitle05=%s%s%s;",$t,$_POST[urltitle05],$t);

if ($fp=fopen(DATA_FILE,"w")){
$tag="<?PHP \n";
include("./../languages/$_COOKIE[xlanguage]/general.inc.php");
@print_r("<span class='resT'>".$resultTrue."</span>");
fputs($fp,$tag,strlen($tag));
for ($i=1;$i < count($content);$i++){
$check=$content[$i];
$check=(preg_replace($patterns,$replacements,$check));
$check=preg_replace("/\r|\r/s", "\r", $check);
include("./../function/savecheck.inc.php");
if (strlen($check)> 0) $content[$i]=$check;
$line=sprintf('%s',$content[$i]);
fputs($fp,$line,strlen($line));
}
fclose($fp);
}
}

include("./../function/forward-s-e.inc.php");
include("./../function/autoX.inc.php");
echo "
<br>
<br>
<a href='$elink'>
<div class='vlinkS'>
<i class='hvL fa fa-arrow-circle-right padd-right5'></i>
<span class='hvS'>".$back1."</span>
</div>
</a>
";
?>
</td>
</tr>

</table>
<div class="clearX box-footer"></div>
</div>
</div>
</div>
</div>
